diff -uprP linux-3.11-rc7_iw/Documentation/networking/ip-sysctl.txt linux-3.11-rc7/Documentation/networking/ip-sysctl.txt
--- linux-3.11-rc7_iw/Documentation/networking/ip-sysctl.txt	2013-08-28 14:25:39.636149397 +0200
+++ linux-3.11-rc7/Documentation/networking/ip-sysctl.txt	2013-08-26 02:43:22.000000000 +0200
@@ -572,22 +572,6 @@ tcp_challenge_ack_limit - INTEGER
 	in RFC 5961 (Improving TCP's Robustness to Blind In-Window Attacks)
 	Default: 100
 
-tcp_initial_window - INTEGER
-	Sets the initial congestion window.
-	Cannot be larger than INIT_CWND (=10). Any larger values will 
-	result in an initial window of INIT_CWND.
-	Default: 0 (use INIT_CWND)
-
-tcp_initial_receive_window - INTEGER
-	Sets the initial receive window.
-	Cannot be larger than 2 * INIT_CWND (=20). Any larger values will 
-	result in an initial window of INIT_CWND*2. 
-	The negative impact (from an increase in the initial window) can be 
-	mitigated by hosts directly connected to a low-speed link 
-	by advertising an initial receive window smaller than 10 segments.
-	(see RFC6928 section 8)
-	Default: 0 (use INIT_CWND * 2)
-
 UDP variables:
 
 udp_mem - vector of 3 INTEGERs: min, pressure, max
diff -uprP linux-3.11-rc7_iw/include/net/tcp.h linux-3.11-rc7/include/net/tcp.h
--- linux-3.11-rc7_iw/include/net/tcp.h	2013-08-28 14:10:26.226182450 +0200
+++ linux-3.11-rc7/include/net/tcp.h	2013-08-26 02:43:22.000000000 +0200
@@ -279,8 +279,6 @@ extern int sysctl_tcp_base_mss;
 extern int sysctl_tcp_workaround_signed_windows;
 extern int sysctl_tcp_slow_start_after_idle;
 extern int sysctl_tcp_max_ssthresh;
-extern int sysctl_tcp_init_win;
-extern int sysctl_tcp_init_rcv_win;
 extern int sysctl_tcp_thin_linear_timeouts;
 extern int sysctl_tcp_thin_dupack;
 extern int sysctl_tcp_early_retrans;
Only in linux-3.11-rc7_iw/include/net: tcp.h~
diff -uprP linux-3.11-rc7_iw/include/uapi/linux/sysctl.h linux-3.11-rc7/include/uapi/linux/sysctl.h
--- linux-3.11-rc7_iw/include/uapi/linux/sysctl.h	2013-08-28 14:58:52.061077295 +0200
+++ linux-3.11-rc7/include/uapi/linux/sysctl.h	2013-08-26 02:43:22.000000000 +0200
@@ -425,8 +425,6 @@ enum
 	NET_TCP_ALLOWED_CONG_CONTROL=123,
 	NET_TCP_MAX_SSTHRESH=124,
 	NET_TCP_FRTO_RESPONSE=125,
-	NET_TCP_INITIAL_WINDOW=126,
-	NET_TCP_INITIAL_RECEIVE_WINDOW=127,
 };
 
 enum {
diff -uprP linux-3.11-rc7_iw/kernel/sysctl_binary.c linux-3.11-rc7/kernel/sysctl_binary.c
--- linux-3.11-rc7_iw/kernel/sysctl_binary.c	2013-08-28 14:11:34.866179964 +0200
+++ linux-3.11-rc7/kernel/sysctl_binary.c	2013-08-26 02:43:22.000000000 +0200
@@ -392,8 +392,6 @@ static const struct bin_table bin_net_ip
 	{ CTL_INT,	NET_IPV4_TCP_WORKAROUND_SIGNED_WINDOWS,	"tcp_workaround_signed_windows" },
 	{ CTL_INT,	NET_TCP_DMA_COPYBREAK,			"tcp_dma_copybreak" },
 	{ CTL_INT,	NET_TCP_SLOW_START_AFTER_IDLE,		"tcp_slow_start_after_idle" },
-	{ CTL_INT,	NET_TCP_INITIAL_WINDOW,			"tcp_initial_window" },
-	{ CTL_INT,	NET_TCP_INITIAL_RECEIVE_WINDOW,		"tcp_initial_receive_window" },
 	{ CTL_INT,	NET_CIPSOV4_CACHE_ENABLE,		"cipso_cache_enable" },
 	{ CTL_INT,	NET_CIPSOV4_CACHE_BUCKET_SIZE,		"cipso_cache_bucket_size" },
 	{ CTL_INT,	NET_CIPSOV4_RBM_OPTFMT,			"cipso_rbm_optfmt" },
diff -uprP linux-3.11-rc7_iw/net/ipv4/sysctl_net_ipv4.c linux-3.11-rc7/net/ipv4/sysctl_net_ipv4.c
--- linux-3.11-rc7_iw/net/ipv4/sysctl_net_ipv4.c	2013-08-28 14:16:31.109169247 +0200
+++ linux-3.11-rc7/net/ipv4/sysctl_net_ipv4.c	2013-08-26 02:43:22.000000000 +0200
@@ -776,20 +776,6 @@ static struct ctl_table ipv4_table[] = {
 		.proc_handler	= proc_dointvec_minmax,
 		.extra1		= &one
 	},
-	{
-		.procname	= "tcp_initial_window",
-		.data		= &sysctl_tcp_init_win,
-		.maxlen		= sizeof(int),
-		.mode		= 0644,
-		.proc_handler	= proc_dointvec,
-	},
-	{
-		.procname	= "tcp_initial_receive_window",
-		.data		= &sysctl_tcp_init_rcv_win,
-		.maxlen		= sizeof(int),
-		.mode		= 0644,
-		.proc_handler	= proc_dointvec,
-	},
 	{ }
 };
 
diff -uprP linux-3.11-rc7_iw/net/ipv4/tcp_input.c linux-3.11-rc7/net/ipv4/tcp_input.c
--- linux-3.11-rc7_iw/net/ipv4/tcp_input.c	2013-08-28 14:32:53.457133698 +0200
+++ linux-3.11-rc7/net/ipv4/tcp_input.c	2013-08-26 02:43:22.000000000 +0200
@@ -85,10 +85,6 @@ int sysctl_tcp_dsack __read_mostly = 1;
 int sysctl_tcp_app_win __read_mostly = 31;
 int sysctl_tcp_adv_win_scale __read_mostly = 1;
 EXPORT_SYMBOL(sysctl_tcp_adv_win_scale);
-int sysctl_tcp_init_win __read_mostly = 0;
-EXPORT_SYMBOL(sysctl_tcp_init_win);
-int sysctl_tcp_init_rcv_win __read_mostly = 0;
-EXPORT_SYMBOL(sysctl_tcp_init_rcv_win);
 
 /* rfc5961 challenge ack rate limiting */
 int sysctl_tcp_challenge_ack_limit = 100;
@@ -275,10 +271,7 @@ static void tcp_fixup_sndbuf(struct sock
 {
 	int sndmem = SKB_TRUESIZE(tcp_sk(sk)->rx_opt.mss_clamp + MAX_TCP_HEADER);
 
-	int init_cwnd = TCP_INIT_CWND;
-	if (sysctl_tcp_init_win > 0)
-		init_cwnd = min_t(__u32, TCP_INIT_CWND, sysctl_tcp_init_win);
-	sndmem *= init_cwnd;
+	sndmem *= TCP_INIT_CWND;
 	if (sk->sk_sndbuf < sndmem)
 		sk->sk_sndbuf = min(sndmem, sysctl_tcp_wmem[2]);
 }
@@ -729,12 +722,8 @@ __u32 tcp_init_cwnd(const struct tcp_soc
 {
 	__u32 cwnd = (dst ? dst_metric(dst, RTAX_INITCWND) : 0);
 
-	if (!cwnd) {
-		if (sysctl_tcp_init_win > 0)
-			cwnd = min_t(__u32, TCP_INIT_CWND, sysctl_tcp_init_win);
-		else 
-			cwnd = TCP_INIT_CWND;
-	}
+	if (!cwnd)
+		cwnd = TCP_INIT_CWND;
 	return min_t(__u32, cwnd, tp->snd_cwnd_clamp);
 }
 
diff -uprP linux-3.11-rc7_iw/net/ipv4/tcp_output.c linux-3.11-rc7/net/ipv4/tcp_output.c
--- linux-3.11-rc7_iw/net/ipv4/tcp_output.c	2013-08-28 14:14:39.849173272 +0200
+++ linux-3.11-rc7/net/ipv4/tcp_output.c	2013-08-26 02:43:22.000000000 +0200
@@ -192,8 +192,6 @@ u32 tcp_default_init_rwnd(u32 mss)
 	 * limit when mss is larger than 1460.
 	 */
 	u32 init_rwnd = TCP_INIT_CWND * 2;
-	if (sysctl_tcp_init_rcv_win>0)
-		init_rwnd = min_t(__u32, sysctl_tcp_init_rcv_win, TCP_INIT_CWND * 2);
 
 	if (mss > 1460)
 		init_rwnd = max((1460 * init_rwnd) / mss, 2U);